#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './chapterEdit.ui'
**
** Created: dim. oct. 26 08:56:28 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chapterEdit.h"

#include <tqvariant.h>
#include <tqpushbutton.h>
#include <ktimewidget.h>
#include <tqlabel.h>
#include <kurlrequester.h>
#include <kpushbutton.h>
#include <tqcheckbox.h>
#include <tqslider.h>
#include <tqlayout.h>
#include <tqtooltip.h>
#include <tqwhatsthis.h>
#include "ktimewidget.h"
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a chapterEdit as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
chapterEdit::chapterEdit( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "chapterEdit" );
    tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    chapterEditLayout = new TQGridLayout( this, 1, 1, 11, 6, "chapterEditLayout"); 

    twstart = new KTimeWidget( this, "twstart" );
    twstart->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, twstart->sizePolicy().hasHeightForWidth() ) );

    chapterEditLayout->addWidget( twstart, 1, 2 );

    textLabel1 = new TQLabel( this, "textLabel1" );

    chapterEditLayout->addWidget( textLabel1, 1, 1 );

    textLabel3 = new TQLabel( this, "textLabel3" );

    chapterEditLayout->addWidget( textLabel3, 0, 1 );

    urFile = new KURLRequester( this, "urFile" );
    urFile->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, urFile->sizePolicy().hasHeightForWidth() ) );
    urFile->setMinimumSize( TQSize( 200, 0 ) );

    chapterEditLayout->addMultiCellWidget( urFile, 0, 0, 2, 4 );

    bStart = new KPushButton( this, "bStart" );
    bStart->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, bStart->sizePolicy().hasHeightForWidth() ) );

    chapterEditLayout->addWidget( bStart, 1, 3 );
    spacer2 = new TQSpacerItem( 16, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    chapterEditLayout->addMultiCell( spacer2, 1, 2, 4, 4 );

    ckBreakStart = new TQCheckBox( this, "ckBreakStart" );

    chapterEditLayout->addMultiCellWidget( ckBreakStart, 2, 2, 2, 3 );
    spacer1 = new TQSpacerItem( 21, 60, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    chapterEditLayout->addItem( spacer1, 6, 2 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    chapterEditLayout->addWidget( textLabel2, 4, 1 );

    ckBreakEnd = new TQCheckBox( this, "ckBreakEnd" );

    chapterEditLayout->addMultiCellWidget( ckBreakEnd, 5, 5, 2, 3 );

    twend = new KTimeWidget( this, "twend" );
    twend->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, twend->sizePolicy().hasHeightForWidth() ) );

    chapterEditLayout->addWidget( twend, 4, 2 );
    spacer3 = new TQSpacerItem( 20, 31, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    chapterEditLayout->addItem( spacer3, 3, 2 );

    tqlayout3 = new TQGridLayout( 0, 1, 1, 0, 6, "tqlayout3"); 

    lPosition = new TQLabel( this, "lPosition" );
    lPosition->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, lPosition->sizePolicy().hasHeightForWidth() ) );

    tqlayout3->addWidget( lPosition, 1, 1 );

    slider = new TQSlider( this, "slider" );
    slider->setOrientation( Qt::Horizontal );

    tqlayout3->addWidget( slider, 1, 0 );

    image = new TQLabel( this, "image" );
    image->setMinimumSize( TQSize( 320, 200 ) );
    image->setPaletteBackgroundColor( TQColor( 0, 0, 0 ) );
    image->setScaledContents( TRUE );

    tqlayout3->addMultiCellWidget( image, 0, 0, 0, 1 );

    chapterEditLayout->addMultiCellLayout( tqlayout3, 0, 6, 0, 0 );

    bEnd = new KPushButton( this, "bEnd" );
    bEnd->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, bEnd->sizePolicy().hasHeightForWidth() ) );

    chapterEditLayout->addWidget( bEnd, 4, 3 );

    bTitleButton = new TQPushButton( this, "bTitleButton" );
    bTitleButton->tqsetSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, bTitleButton->sizePolicy().hasHeightForWidth() ) );

    chapterEditLayout->addWidget( bTitleButton, 7, 0 );
    languageChange();
    resize( TQSize(627, 300).expandedTo(tqminimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( urFile, TQT_SIGNAL( urlSelected(const TQString&) ), this, TQT_SLOT( urlSelected(const TQString&) ) );
    connect( slider, TQT_SIGNAL( sliderReleased() ), this, TQT_SLOT( sliderReleased() ) );
    connect( slider, TQT_SIGNAL( valueChanged(int) ), this, TQT_SLOT( sliderChanged() ) );
    connect( bStart, TQT_SIGNAL( clicked() ), this, TQT_SLOT( bStartClick() ) );
    connect( bEnd, TQT_SIGNAL( clicked() ), this, TQT_SLOT( bEndClick() ) );
    connect( twstart, TQT_SIGNAL( valueChanged(const TQTime&) ), this, TQT_SLOT( startChanged(const TQTime&) ) );
    connect( twend, TQT_SIGNAL( valueChanged(const TQTime&) ), this, TQT_SLOT( endChanged(const TQTime&) ) );
    connect( ckBreakEnd, TQT_SIGNAL( clicked() ), this, TQT_SLOT( ckBreakEndClick() ) );
    connect( ckBreakStart, TQT_SIGNAL( clicked() ), this, TQT_SLOT( ckBreakStartClick() ) );
    connect( bTitleButton, TQT_SIGNAL( clicked() ), this, TQT_SLOT( bTitleButtonClick() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
chapterEdit::~chapterEdit()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void chapterEdit::languageChange()
{
    setCaption( tr2i18n( "Chapter properties" ) );
    textLabel1->setText( tr2i18n( "start" ) );
    textLabel3->setText( tr2i18n( "video" ) );
    urFile->setFilter( tr2i18n( "*.avi\n"
"*.mpeg" ) );
    bStart->setText( tr2i18n( "set Current Frame" ) );
    ckBreakStart->setText( tr2i18n( "break continuity" ) );
    textLabel2->setText( tr2i18n( "end" ) );
    ckBreakEnd->setText( tr2i18n( "break continuity" ) );
    lPosition->setText( tr2i18n( "--:--:--" ) );
    bEnd->setText( tr2i18n( "set Current Frame" ) );
    bTitleButton->setText( tr2i18n( "set Title button" ) );
}

void chapterEdit::urlSelected(const TQString&)
{
    qWarning( "chapterEdit::urlSelected(const TQString&): Not implemented yet" );
}

void chapterEdit::sliderReleased()
{
    qWarning( "chapterEdit::sliderReleased(): Not implemented yet" );
}

void chapterEdit::sliderChanged()
{
    qWarning( "chapterEdit::sliderChanged(): Not implemented yet" );
}

void chapterEdit::bStartClick()
{
    qWarning( "chapterEdit::bStartClick(): Not implemented yet" );
}

void chapterEdit::startChanged(const TQTime&)
{
    qWarning( "chapterEdit::startChanged(const TQTime&): Not implemented yet" );
}

void chapterEdit::endChanged(const TQTime&)
{
    qWarning( "chapterEdit::endChanged(const TQTime&): Not implemented yet" );
}

void chapterEdit::bEndClick()
{
    qWarning( "chapterEdit::bEndClick(): Not implemented yet" );
}

void chapterEdit::ckBreakStartClick()
{
    qWarning( "chapterEdit::ckBreakStartClick(): Not implemented yet" );
}

void chapterEdit::ckBreakEndClick()
{
    qWarning( "chapterEdit::ckBreakEndClick(): Not implemented yet" );
}

void chapterEdit::bTitleButtonClick()
{
    qWarning( "chapterEdit::bTitleButtonClick(): Not implemented yet" );
}

#include "chapterEdit.moc"
